package com.ruoyi.ucp.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.ucp.entity.HistoryPredict;
import com.ruoyi.ucp.entity.RealtimePredict;
import com.ruoyi.ucp.mapper.HistoryPredictMapper;
import com.ruoyi.ucp.service.IHistoryPredictService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gfhd
 * @since 2024-10-21
 */
@Service
@DataSource(DataSourceType.GLYC)
public class HistoryPredictServiceImpl extends ServiceImpl<HistoryPredictMapper, HistoryPredict> implements IHistoryPredictService {
    @Override
    public boolean saveOrUpdateBatch(Collection<HistoryPredict> entityList) {
        return super.saveOrUpdateBatch(entityList);
    }

    @Override
    public boolean saveOrUpdateBatch(Collection<HistoryPredict> entityList, int batchSize) {
        return super.saveOrUpdateBatch(entityList, batchSize);
    }

    @Override
    public boolean saveBatch(Collection<HistoryPredict> entityList, int batchSize) {
        return super.saveBatch(entityList, batchSize);
    }

    @Override
    public boolean saveBatch(Collection<HistoryPredict> entityList) {
        return super.saveBatch(entityList);
    }

    @Override
    public List<HistoryPredict> list(Wrapper<HistoryPredict> queryWrapper) {
        return super.list(queryWrapper);
    }

    @Override
    public boolean removeBatchByIds(Collection<?> list) {
        return super.removeBatchByIds(list);
    }
}
